﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingManagementView
@{
    ViewData["Title"] = "Previous Reservations(All Reservations Before Today and All Cancelled Reservations)";
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="assets/css/bootstrap-responsive.css" rel="stylesheet">
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css">
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>

    @*<script src="~/Content/vendors/js/jquery.min.js"></script>
        <script src="~/Content/vendors/js/popper.min.js"></script>
        <script src="~/Content/vendors/js/bootstrap.min.js"></script>
        <script src="~/Content/vendors/js/pace.min.js"></script>
        <script src="~/Content/vendors/js/toastr.min.js"></script>
        <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
        <script src="~/Content/vendors/js/coreui.min.js"></script>*@
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Booking History
}
<!DOCTYPE html>
<body style="background-color: oldlace">
<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color: indianred">@ViewData["Title"]</h2>
    <div class="card-body">
        <form class="form-inline mb-3 ml-3 d-flex justify-content-center">
            <input value="@Model.SearchField" id="searchfield" class="form-control" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-primary" type="button" onclick="search()">Search</button>
            @*<div class="input-group-append">
            <span class="input-group-text" id="basic-addon1"><i class="fa fa-search"></i></span>
        </div>*@
        </form>
        <div class="table-responsive-lg" id="table">
            <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                <thead style="color: white; background-color:#315152">

                <tr>
                    @*<th scope="col">Id</th>*@
                    <th scope="col">Booking Application Date</th>
                    <th scope="col">Booking No.</th>
                    <th scope="col">Slot Id</th>
                    <th scope="col">Main Guest Name</th>
                    <th scope="col">Main Guest Mobile</th>
                    @*<th scope="col">Main Guest Email</th>*@
                    <th scope="col">No of Adult</th>
                    <th scope="col">No of Child</th>
                    <th scope="col">No of Room</th>
                    <th scope="col">Arrival Date</th>
                    <th scope="col">Departure Date</th>
                    <th scope="col">Booking Status</th>
                    <th scope="col">Checked In or Not</th>
                    <th scope="col">View Folio</th>
                </tr>
                </thead>
                <tbody id="myTable">
                @{
                    var idx1 = 0;
                }
                @{
                    int noOfdata = Model.OwnerRoomBookingListHistory.Count();
                }
                @if (noOfdata != 0)
                {
                    foreach (var ownerRoomBooking in Model.OwnerRoomBookingListHistory)
                    {
                        <tr>
                            <td>@ownerRoomBooking.ApplicationDate.ToString("dd-MMM-yyyy hh:mm tt")</td>
                            @*<td>@ownerRoomBooking.OwnerRoomBookngId</td>*@
                            @if (ownerRoomBooking.BookingToken == "" || ownerRoomBooking.BookingToken == null)
                            {
                                <td>Not Assigned</td>
                            }
                            else
                            {
                                <td>@ownerRoomBooking.BookingToken</td>
                            }
                            <td>@ownerRoomBooking.SlotId</td>
                            <td>@ownerRoomBooking.GuestNameMain</td>
                            <td>@ownerRoomBooking.GuestMobile</td>
                            @*<td>@ownerRoomBooking.Email</td>*@
                            <td>@ownerRoomBooking.NoOfAdult</td>
                            <td>@ownerRoomBooking.NoOfChild</td>
                            <td>@ownerRoomBooking.NoOfRoomRequested</td>
                            @{
                                var Startdate = Convert.ToDateTime(ownerRoomBooking.CheckInDate);
                                var val1 = Startdate.ToString("dd-MMM-yyyy");
                                <td>@val1</td>
                            }
                            @{
                                var Enddate = Convert.ToDateTime(ownerRoomBooking.CheckOutDate);
                                var val2 = Enddate.ToString("dd-MMM-yyyy");
                                <td>@val2</td>
                            }
                            @if (ownerRoomBooking.IsBookingCompleted.ToUpper() == "NO")
                            {
                                <td>Pending</td>
                            }
                            else if (ownerRoomBooking.IsBookingCompleted.ToUpper() == "YES")
                            {
                                <td>Approved<i class="fa fa-check fa-2x" aria-hidden="true"></i></td>
                            }
                            else if (ownerRoomBooking.IsBookingCompleted.ToUpper() == "CANCELLED")
                            {
                                <td>Cancelled<i class="fa fa-close fa-2x" aria-hidden="true"></i></td>
                            }
                            else
                            {
                                @ownerRoomBooking.IsBookingCompleted
                            }
                            <td>@ownerRoomBooking.HasStayedOrNot</td>
                            <td>
                                <button type="button"
                                        class="btn btn-light"
                                        data-toggle="tooltip"
                                        data-placement="bottom"
                                        title="View Folio"
                                        onclick="location.href = '@Url.Action("FolioDetail", "Booking", new {OwnerRoomBookngId = ownerRoomBooking.OwnerRoomBookngId})'">
                                    <i class="icon-eye">
                                    </i>
                                </button>
                            </td>
                        </tr>

                        idx1++;
                    }
                }
                </tbody>
            </table>

        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0;background-color: gainsboro"></table>
        </div>
        <div class="text-center" id="message">

        </div>
        @{
            int NoOfBooking = Model.NoOfBooking;
        }
        @if (NoOfBooking != 0)
        {
            <div class="pager" style="padding-top: 20px; direction: ltr; display: block;" align="center" id="pagination">

                <nav aria-label="Page navigation example">
                    <ul class="pagination justify-content-center flex-wrap">
                        @{
                            int prev_idx = Model.index - 1;
                        }
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(1)">« First</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="previous(@prev_idx, @Model.NoOfBooking)">« Previous</a></li>
                        @{
                            int idx = Model.index;
                            int next_idx = Model.index + 1;
                            int noOfPost = Model.NoOfBooking;
                            if (NoOfBooking < 10)
                            {
                                for (int i = 1; i <= NoOfBooking; i++)
                                {
                                    <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                }
                            }
                            else
                            {
                                if (idx <= 5)
                                {
                                    if (NoOfBooking < 10)
                                    {
                                        for (int i = 1; i <= NoOfBooking; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                    else
                                    {
                                        for (int i = 1; i <= 10; i++)
                                        {
                                            <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                        }
                                    }
                                }
                                else if (idx > 5 && idx <= (noOfPost - 5))
                                {
                                    for (int i = idx - 4; i <= idx + 5; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }
                                }
                                else
                                {
                                    for (int i = noOfPost - 9; i <= noOfPost; i++)
                                    {
                                        <li class="page-item" id="@i"><a class="page-link" href="#" onclick="paginationPureJS(@i)">@i</a></li>
                                    }

                                }
                            }
                        }
                        <li class="page-item next"><a class="page-link" href="#" onclick="next(@next_idx, @NoOfBooking)">Next »</a></li>
                        <li class="page-item previous"><a class="page-link" href="#" onclick="paginationPureJS(@Model.NoOfBooking)">Last »</a></li>
                    </ul>
                </nav>

            </div>

        }

    </div>
</div>
</body>
<script>
    var s2 = $("#searchfield").val();
    function search() {
        //alert("gdjsgajgd");
        var s = $("#searchfield").val();
        //alert(s);
        window.location.href = '../OwnersInfo/OwnerRoomBookingManagementHistory?searchfield=' + s + '&index=1';
    }
    function previous(i, n) {
        if (i >= 1) {
            window.location.href = "../OwnersInfo/OwnerRoomBookingManagementHistory?searchfield=" + s2 + "&index=" + i;
        }
    }
    function next(i, n) {
        if (i <= n) {
            window.location.href = "../OwnersInfo/OwnerRoomBookingManagementHistory?searchfield=" + s2 + "&index=" + i;
        }
    }
    function paginationPureJS(i) {
        window.location.href = "../OwnersInfo/OwnerRoomBookingManagementHistory?searchfield=" + s2 + "&index=" + i;
    }

</script>
<script>
    $("#" + @Model.index).addClass("active");
    
</script>

<script>
    $(document).ready(function() {
        @*$("#newItem").click(function() {
            document.location = '@Url.Action("BookingCreate", "Booking")';
        });*@
        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function(){
            window.print();
        });

        $('#reloadItem').click(function() {
            location.reload();
        });

        $("#dashboardItem").click(function() {

        });
        $("#reportItem").remove();

    });


</script>

